> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# The Payment Method object

<div className="xl:hidden">
  <CodeGroup>
    ```json The Payment Method object theme={null}
    {
        "id": "pm_1L2SwaqDAeDmaC1UrDyu9aOOQ0SO2nm3",
        "object": "payment_method",
        "bank_account": null,
        "billing_details": {
            "address": {
                "city": "Paris",
                "country": "FR",
                "line1": "10 Rue de la Paix",
                "line2": "Batiment A",
                "postal_code": "75002",
                "state": "Ile-de-France"
            },
            "email": "example@example.com",
            "name": "Example",
            "phone": "+33189000023"
        },
        "card": {
            "brand": "visa",
            "exp_month": 12,
            "exp_year": 2030,
            "fingerprint": "fp_card_example",
            "last4": "4242"
        },
        "created": "2026-04-01T00:10:56.540Z",
        "driver": null,
        "fleet": "flt_STpixc0H52WdIXZ4SeWaj9N4ekAbZUsS",
        "type": "card",
        "wallet": null
    }
    ```
  </CodeGroup>
</div>

<div className="hidden xl:block">
  <ResponseExample>
    ```json The Payment Method object theme={null}
    {
        "id": "pm_1L2SwaqDAeDmaC1UrDyu9aOOQ0SO2nm3",
        "object": "payment_method",
        "bank_account": null,
        "billing_details": {
            "address": {
                "city": "Paris",
                "country": "FR",
                "line1": "10 Rue de la Paix",
                "line2": "Batiment A",
                "postal_code": "75002",
                "state": "Ile-de-France"
            },
            "email": "example@example.com",
            "name": "Example",
            "phone": "+33189000023"
        },
        "card": {
            "brand": "visa",
            "exp_month": 12,
            "exp_year": 2030,
            "fingerprint": "fp_card_example",
            "last4": "4242"
        },
        "created": "2026-04-01T00:10:56.540Z",
        "driver": null,
        "fleet": "flt_STpixc0H52WdIXZ4SeWaj9N4ekAbZUsS",
        "type": "card",
        "wallet": null
    }
    ```
  </ResponseExample>
</div>

This object represents a payment method in Charge. Use it to store reusable payment details for charging sessions, reservations, and invoices.

## Attributes

<ResponseField name="id" type="string" required>
  Unique identifier for the object.
</ResponseField>

<ResponseField name="billing_details" type="object">
  Billing information associated with the payment method.

  <Expandable title="properties">
    <ResponseField name="address" type="object | null">
      Billing address.

      <Expandable title="properties">
        <ResponseField name="city" type="string | null">
          City, town, or district.
        </ResponseField>

        <ResponseField name="country" type="string | null">
          ISO 3166-1 alpha-2 country code.
        </ResponseField>

        <ResponseField name="line1" type="string | null">
          First line of the address.
        </ResponseField>

        <ResponseField name="line2" type="string | null">
          Second line of the address.
        </ResponseField>

        <ResponseField name="postal_code" type="string | null">
          ZIP or postal code.
        </ResponseField>

        <ResponseField name="state" type="string | null">
          State, province, or administrative region.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="email" type="string | null">
      Email address.
    </ResponseField>

    <ResponseField name="name" type="string | null">
      Full name.
    </ResponseField>

    <ResponseField name="phone" type="string | null">
      Billing phone number (including extension).
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="driver" type="string | null" post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the attached driver, if any.
</ResponseField>

<ResponseField name="fleet" type="string | null" post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the attached fleet, if any.
</ResponseField>

<ResponseField name="type" type="string" required>
  Type of payment method.

  Available options: `bank_account`, `card`, `wallet`
</ResponseField>

## More attributes

<ResponseField name="object" type="string" required>
  String representing the object's type.
</ResponseField>

<ResponseField name="bank_account" type="object | null">
  Present when type is `bank_account`.

  <Expandable title="properties">
    <ResponseField name="bank_name" type="string">
      Name of the bank.
    </ResponseField>

    <ResponseField name="country" type="string">
      Two-letter ISO country code.
    </ResponseField>

    <ResponseField name="currency" type="string">
      Three-letter ISO currency code, in lowercase.
    </ResponseField>

    <ResponseField name="fingerprint" type="string">
      Uniquely identifies this particular bank account.
    </ResponseField>

    <ResponseField name="last4" type="string">
      Last four digits of the bank account number.
    </ResponseField>

    <ResponseField name="status" type="string">
      Verification status of the bank account.

      Available options: `pending`, `verified`, `failed`
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="card" type="object | null">
  Present when type is `card`.

  <Expandable title="properties">
    <ResponseField name="brand" type="string">
      Card brand.
    </ResponseField>

    <ResponseField name="exp_month" type="integer">
      Card expiration month.
    </ResponseField>

    <ResponseField name="exp_year" type="integer">
      Card expiration year.
    </ResponseField>

    <ResponseField name="fingerprint" type="string">
      Uniquely identifies this particular card.
    </ResponseField>

    <ResponseField name="last4" type="string">
      Last four digits of the card number.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="created" type="string" required>
  Time at which the payment method was created. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ResponseField>

<ResponseField name="wallet" type="object | null">
  Present when type is `wallet`.

  <Expandable title="properties">
    <ResponseField name="balance" type="integer">
      Current wallet balance, in the smallest currency unit.
    </ResponseField>

    <ResponseField name="currency" type="string">
      Three-letter ISO currency code, in lowercase.
    </ResponseField>

    <ResponseField name="fingerprint" type="string">
      Uniquely identifies this particular wallet.
    </ResponseField>

    <ResponseField name="status" type="string">
      Status of the wallet.

      Available options: `active`, `blocked`
    </ResponseField>
  </Expandable>
</ResponseField>
